Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::HTMLHelpParser Class Reference

`#include <HTMLHelpParser.h>`

## Public Member Functions
| HTMLHelpParser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document=0)
void | parse ()

## Private Member Functions
| HTMLHelpParser (const HTMLHelpParser &other)
HTMLHelpParser & | operator= (const HTMLHelpParser &other)

## Private Attributes
const RVNGInputStreamPtr_t | m_input
librevenge::RVNGTextInterface * | m_document

## Constructor & Destructor Documentation

## ◆ HTMLHelpParser() [1/2]

libebook::HTMLHelpParser::HTMLHelpParser | ( | const HTMLHelpParser & | other | ) |
| private

## ◆ HTMLHelpParser() [2/2]

libebook::HTMLHelpParser::HTMLHelpParser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document = 0 )
| explicit

## Member Function Documentation

## ◆ operator=()

HTMLHelpParser & libebook::HTMLHelpParser::operator= | ( | const HTMLHelpParser & | other | ) |
| private

## ◆ parse()

void libebook::HTMLHelpParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* libebook::HTMLHelpParser::m_document
| private

Referenced by parse().

## ◆ m_input

const RVNGInputStreamPtr_t libebook::HTMLHelpParser::m_input
| private

Referenced by HTMLHelpParser().

The documentation for this class was generated from the following files:

- HTMLHelpParser.h
- HTMLHelpParser.cpp